#version 430 core

layout( local_size_x = 16, local_size_y = 16, local_size_z = 1) in;
layout (rgba32f) uniform image2D tex;

void main (void)
{
    ivec2 pos=ivec2(gl_GlobalInvocationID.x, gl_GlobalInvocationID.y);
    
    vec2 p = pos / 256.0 - 1;
    float d = length(p);
    
    imageStore(tex, pos, vec4(1,d,0.5*sin(d * 20.0)+0.5,1));
}

